You are not registered yet. Please click here to register!


 
 
plc storereviewsdownloads
This board is for PLC Related Q&A ONLY. Please DON'T use it for advertising, etc.
 
Try our online PLC Simulator- FREE.  Click here now to try it.

New Here? Please read this important info!!!


Go Back   PLCS.net - Interactive Q & A > PLCS.net - Interactive Q & A > LIVE PLC Questions And Answers

Reply
 
Thread Tools Display Modes
Old May 12th, 2022, 03:01 PM   #1
Mueller34
Member
United States

Mueller34 is offline
 
Join Date: Jan 2022
Location: Wisconsin
Posts: 16
Help updating compactlogix

My issue is twofold. I just got my boss to get studio 5000. I knew I had programs for our machines ranging from versions 30 to 33 so I downloaded those. I was called to another machine which I had no copy of the program for and went to connect to the compactlogix controller. First issue was it was written with version 21.00 so I went ahead and downloaded 21.03 from Rockwell's website. I still cannot upload the program. When I try to connect via studio 5000 upload it tells me to connect via RsLinx. I updated the eds files and within RsLinx I show that I am connected to the plc via Ethernet but I still cannot connect. So I need help with that, but I'm also curious if I should update the version from 21 to say 30 or 34. There is a panelview and powerflex hooked up to it so would I need to check comparability first? I mainly say that because my laptop with windows 7 is ready to die and if I get a new laptop I'd rather not set up a virtual machine if I didn't have to.
  Reply With Quote
Old May 12th, 2022, 03:06 PM   #2
Engineerj22
Member
United States

Engineerj22 is offline
 
Join Date: Apr 2021
Location: NW Indiana
Posts: 189
If I'm not mistaken, there's 2 versions of V21 of RSLogix5000, 21.01 & 21.03, and they ARE NOT COMPATIBLE. I honestly wouldn't update a machine if it was a running machine with no issue.
  Reply With Quote
Old May 12th, 2022, 03:07 PM   #3
Mueller34
Member
United States

Mueller34 is offline
 
Join Date: Jan 2022
Location: Wisconsin
Posts: 16
I did see that and I have 21.03 and requested from Rockwell for 21.01 to be unlocked for me to download
  Reply With Quote
Old May 12th, 2022, 03:08 PM   #4
Engineerj22
Member
United States

Engineerj22 is offline
 
Join Date: Apr 2021
Location: NW Indiana
Posts: 189
I would download the 21.01 version and see if that works
  Reply With Quote
Old May 12th, 2022, 03:08 PM   #5
Mueller34
Member
United States

Mueller34 is offline
 
Join Date: Jan 2022
Location: Wisconsin
Posts: 16
Thank you I will try that.
  Reply With Quote
Old May 12th, 2022, 04:01 PM   #6
Ken Roach
Lifetime Supporting Member + Moderator
United States

Ken Roach is offline
 
Ken Roach's Avatar
 
Join Date: Apr 2002
Location: Seattle, WA
Posts: 16,585
Rockwell locks you out of downloading and installing Studio 5000 version 21.01 on purpose because of its defects. The problem was resolved ten years ago but of course it still shows up.

Instead, you have access to version 21.00.04 and version 21.03.02.

Version 21.00.04 should be used with controllers that have version 21.00.xx firmware only and are in unusual circumstances where they cannot be modified or upgraded, like FDA qualified systems.

Instead, version 21.03.02 can upload or open, and then convert, any 21.x user program.

So let's focus on why RSLinx and RSLogix aren't working together.

Open up RSLinx Classic, browse the network, and post a description or screenshot of what you see. Check the version number of RSLogix as well: the EDS subsystem moved to using an embedded SQL server along with v21 ten years ago, and if you have older RSLinx that can be a problem.
  Reply With Quote
Old May 13th, 2022, 09:21 AM   #7
Engineerj22
Member
United States

Engineerj22 is offline
 
Join Date: Apr 2021
Location: NW Indiana
Posts: 189
Thanks for the info on V21 Ken, I've only had to touch it once!
  Reply With Quote
Old May 20th, 2022, 01:31 PM   #8
Mueller34
Member
United States

Mueller34 is offline
 
Join Date: Jan 2022
Location: Wisconsin
Posts: 16
Quote:
Originally Posted by Ken Roach View Post
Rockwell locks you out of downloading and installing Studio 5000 version 21.01 on purpose because of its defects. The problem was resolved ten years ago but of course it still shows up.

Instead, you have access to version 21.00.04 and version 21.03.02.

Version 21.00.04 should be used with controllers that have version 21.00.xx firmware only and are in unusual circumstances where they cannot be modified or upgraded, like FDA qualified systems.

Instead, version 21.03.02 can upload or open, and then convert, any 21.x user program.

So let's focus on why RSLinx and RSLogix aren't working together.

Open up RSLinx Classic, browse the network, and post a description or screenshot of what you see. Check the version number of RSLogix as well: the EDS subsystem moved to using an embedded SQL server along with v21 ten years ago, and if you have older RSLinx that can be a problem.
Thank you for the info. I was pulled onto a different project and got back to this today. Turns out my communication issue was my own fault. I had Studio 5000 attempting to upload from factorylinx, switch it to rslinx and had no issue...
  Reply With Quote
Old May 20th, 2022, 08:53 PM   #9
PreLC
Member
United States

PreLC is offline
 
PreLC's Avatar
 
Join Date: Apr 2019
Location: Mars
Posts: 432
What Compactlogix is it? I've upgraded a lot of PLCs to V33 recently, no issues. I would even recommend V34, cause modern software development is devops based and issues are resolved across multiple major versions.
You should not have issues with Rockwell equipment, usually they are backwards compatible like that, or the conversion process throws errors too. Compatibility can also be checked on PCDC website from rockwell. You will have to take the risk or work more on the non-rockwell products, if any.
I would go with the most recent Firmware level possible. This is a little bold in the controls industry, but I would recommend it to get less software proliferation and latest features.
__________________
Ask not what your PLC can do for you, ask what you can do for your PLC.
  Reply With Quote
Old May 20th, 2022, 09:18 PM   #10
Mueller34
Member
United States

Mueller34 is offline
 
Join Date: Jan 2022
Location: Wisconsin
Posts: 16
The controller is a compactlogix 5370, 1769-L24ER-QBFC1B. I also have 3 expansion modules on it, 1769-IQ16/A and 1769-OB16/B and 1769-IT6/A. This machine also have a Powerflex 755-EENET, and a Panelview Plus. If I do update the firmware would I have to do anything to the other connected devices?
  Reply With Quote
Old May 21st, 2022, 09:06 AM   #11
L33er
Member
United States

L33er is offline
 
L33er's Avatar
 
Join Date: Feb 2021
Location: North
Posts: 168
for long term, I'd upgrade from 21 to 24,28 or latest, may be even downgraded to 20

Last edited by L33er; May 21st, 2022 at 09:10 AM.
  Reply With Quote
Reply
Jump to Live PLC Question and Answer Forum

Bookmarks


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Topics
Thread Thread Starter Forum Replies Last Post
Messaging over Ethernet between MicroLogix1500/NET-ENI and CompactLogix davidwarrenabaxis LIVE PLC Questions And Answers 6 January 25th, 2016 12:23 PM
Allen-Bradley L1 Processor... rdrast LIVE PLC Questions And Answers 12 September 17th, 2013 01:44 AM
CompactLogix & Turck IO (Ethernet) jnblackwood LIVE PLC Questions And Answers 2 January 22nd, 2013 04:29 PM
Help with Panelview CompactLogix Please Philadelphia Frank LIVE PLC Questions And Answers 10 September 26th, 2009 01:30 PM
PRODUCT SERVICE ADVISORY1768-L43 CompactLogix olias LIVE PLC Questions And Answers 7 February 23rd, 2007 02:50 PM


All times are GMT -4. The time now is 04:50 PM.


.